import { NgZone } from "@angular/core";
import * as i0 from "@angular/core";
export declare class OutZoneEventPlugin {
    private zone;
    constructor(zone: NgZone);
    supports(eventName: string): boolean;
    addEventListener(element: HTMLElement, eventName: string, originalHandler: Function): Function;
    static ɵfac: i0.ɵɵFactoryDeclaration<OutZoneEventPlugin, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<OutZoneEventPlugin>;
}
